var t, n = 0, count = $("#play_list a").size();
var play_map = new Array();
$(function() {
    $("#play_list a:not(:first-child)").hide();
    settitle();
    $("#play_text li:first-child").addClass("now");
    $("#play_info").click(function() { window.open($("#play_list a:first-child").attr('href'), "_blank") });
    $("#play_text li").click(function() {
        var i;
        for (i = 0; i < 4; i++) {
            if ($("#play_list img").eq(i).attr("alt") == $(this).text()) {
                break;
            }
        }
        n = i;
        if (i >= count) return;
        $("#play_info").html($("#play_list a").eq(i).find("img").attr('alt'));
        $("#play_info").unbind().click(function() { window.open($("#play_list a").eq(i).attr('href'), "_blank") })
        $("#play_list a").filter(":visible").fadeOut(1000).parent().children().eq(i).fadeIn(1000);
        $(this).addClass("now").siblings().removeClass("now");
    });
    t = setInterval("showAuto()", 6000);
    $("#play").hover(function() { clearInterval(t) }, function() { t = setInterval("showAuto()", 6000); });
})
function settitle() {
    for (var i = 0; i < 4; i++) {
        $('#play_text li').eq(i).text($("#play_list img").eq(i).attr("alt"));
    }
}
function showAuto() {
    n = n >= (count - 1) ? 0 : ++n;
    $("#play_text li").eq(n).trigger('click');
}